package com.gic.store.web.controller;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.store.service.StoreRegionApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author zhiwj
 * @date 2019/6/25
 */
@RestController
@RequestMapping("/store-region")
public class StoreRegionController {

    @Autowired
    private StoreRegionApiService storeRegionApiService;

    @RequestMapping("/save")
    public RestResponse saveStoreRegion(String regionCode, String regionName, Integer regionId) {
        Integer enterpriseId = 1111;
        ServiceResponse<Integer> serviceResponse = storeRegionApiService.saveOrUpdateStoreRegion(enterpriseId, regionCode, regionName, regionId);
        if (serviceResponse.isSuccess()) {
            return RestResponse.success(serviceResponse.getResult());
        } else {
            return RestResponse.failure(serviceResponse.getCode(), serviceResponse.getMessage());
        }
    }

}
