package com.gic.store.service.impl;

import com.gic.api.base.commons.Page;
import com.gic.commons.util.GlobalInfo;
import com.gic.store.dao.mapper.TabStoreRegionMapper;
import com.gic.store.dto.StoreRegionDTO;
import com.gic.store.entity.TabStoreRegion;
import com.gic.store.service.StoreRegionService;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
@Service
public class StoreRegionServiceImpl implements StoreRegionService {

    @Autowired
    private TabStoreRegionMapper storeRegionMapper;

    @Override
    public int countByRegionCode(Integer enterpriseId, String regionCode) {
        return 0;
    }

    @Override
    public int countByRegionName(Integer enterpriseId, String regionName, Integer regionId) {
        return 0;
    }

    @Override
    public Integer save(Integer enterpriseId, String regionCode, String regionName) {
        TabStoreRegion storeRegion = new TabStoreRegion();
        storeRegion.setRegionCode(regionCode);
        storeRegion.setRegionName(regionName);
        storeRegion.setCreateTime(new Date());
        storeRegion.setEnterpriseId(enterpriseId);
        storeRegion.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        int i = storeRegionMapper.insertSelective(storeRegion);
        return i;
    }

    @Override
    public int update(Integer regionId, String regionName) {
        TabStoreRegion storeRegion = new TabStoreRegion();
        storeRegion.setRegionId(regionId);
        storeRegion.setRegionName(regionName);
        int i = storeRegionMapper.updateByPrimaryKeySelective(storeRegion);
        return i;
    }

    @Override
    public Page<StoreRegionDTO> listStoreRegion(Integer enterpriseId, String search, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize, " sort desc ");
        // 查列表

        TabStoreRegion tabGicStoreRegion = storeRegionMapper.selectByPrimaryKey(1);
        System.out.println(tabGicStoreRegion);
        return null;
    }

    @Override
    public List<StoreRegionDTO> listStoreRegion() {

        return null;
    }
}
